range_access.h File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Functions

template<class _Container >
auto | std::begin (_Container &__cont) -> decltype(__cont.begin())
template<class _Container >
auto | std::begin (const _Container &__cont) -> decltype(__cont.begin())
template<class _Tp , size_t _Nm>
_Tp * | std::begin (_Tp(&__arr)[_Nm])
template<class _Container >
auto | std::end (_Container &__cont) -> decltype(__cont.end())
template<class _Container >
auto | std::end (const _Container &__cont) -> decltype(__cont.end())
template<class _Tp , size_t _Nm>
_Tp * | std::end (_Tp(&__arr)[_Nm])

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <iterator>.

Definition in file range_access.h.